/*
 * This file is part of firk's window manager for x11 (fwm)
 * Copyright (C) 2022, 2023 firk <firk@cantconnect.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef _FWM_MENU_H_
#define _FWM_MENU_H_

#include <time.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <fwm/libfwm.h>
#include "config.h"

extern time_t now;

extern char const * font_name;

typedef struct {
  int o, x0, y0, w, h, bw;
} winprops;

extern void run_menu_entry(size_t JM, size_t idx);

extern void x11_init(winprops const *wp0);
extern void x11_redraw(void);
extern void x11_event_loop(void);
extern int x11_handle_event(XEvent *ev);

#endif

