#!/bin/sh -e

if [ ! -x ./build/fwm-sysdaemon ]; then
  echo "compile first!"
  exit
fi

rm -Rf ./build/deb

mkdir ./build/deb

# place files
mkdir -p ./build/deb/etc/init.d ./build/deb/usr/sbin ./build/deb/usr/share/man/man1 ./build/deb/usr/share/man/ru/man1
cp -p ./build/fwm-sysdaemon ./build/deb/usr/sbin/fwm-sysdaemon
cp -p ./fwm-sysdaemon.init ./build/deb/etc/init.d/fwm-sysdaemon
chmod +x ./build/deb/etc/init.d/fwm-sysdaemon
#gzip < ./battery/fwm-sysdaemon.1 > ./build/deb/usr/share/man/man1/fwm-sysdaemon.1.gz
#gzip < ./battery/fwm-sysdaemon.ru.1 > ./build/deb/usr/share/man/ru/man1/fwm-sysdaemon.1.gz

# place controls
VERSION=`head -1 ./CHANGELOG.TXT | tr -d -`
ARCH=`dpkg --print-architecture`
SIZE=`du -k -s ./build/deb | awk '{print $1}'`
VER1=`dpkg-query -W -f='${Version}' libc6`
VER2=`dpkg-query -W -f='${Version}' libfccl`
mkdir ./build/deb/DEBIAN
( cd ./build/deb && md5deep -r -l usr) > ./build/deb/DEBIAN/md5sums
cat > ./build/deb/DEBIAN/control <<EOF
Package: fwm-sysdaemon
Version: $VERSION
Architecture: $ARCH
Maintainer: firk <firk@cantconnect.ru>
Installed-Size: $SIZE
Depends: libc6 (>= $VER1), libfccl (>= $VER2)
Recommends: pm-utils, alsa-utils
Suggests: fwm
Section: utils
Priority: optional
Multi-Arch: foreign
Homepage: https://dev.m1089.ru/fwmx
Description: power management and screen backlight daemon made for fwm
EOF

cp pkg/deb/* ./build/deb/DEBIAN/

fakeroot dpkg-deb --build ./build/deb ./build

rm -Rf ./build/deb

echo "DONE"
