/*
 * This file is part of fwm-sysdaemon
 *  config.h
 *
 * Copyright (c) 2022, 2023 firk (firk@cantconnect.ru)
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The origin of this software must not be misrepresented; you must
 *    not claim that you wrote the original software.
 * 4. Altered versions in any form must be plainly marked as such, and
 *    must not be misinterpreted as being the original software.
 *
 * This software is provided by the author and contributors `as is'
 * without any express or implied warranty.
 */
#ifndef INCLUDED_FSYSD_CONFIG_H
#define INCLUDED_FSYSD_CONFIG_H

extern struct params {
  int         daemonize;
  int         no_stderr;
  char const  *pidfn;
  char const  *logfn;
#ifdef WITH_SYSLOG
  int         syslogf;
#endif
  int         poll_interval;
  char const  *mgr_group_str;
  gid_t       mgr_group_id;
  struct {
    int         enabled;
    char const  *statusfn;
    char const  *batname;
    char const  *acname;
    char const  *minpctfn;
    int         minpct;
    int         hibernate;
    char const  *sleepcmd;
    char const  *hibercmd;
    char const  *aplaycmd;
  } pwr;
  struct {
    int         enabled;
    char const  *blname;
    int         raw_max;
    int         max;
    int         linear;
    char const  *ctlfn;
  } bl;
} params;

#ifdef WITH_SYSLOG
extern int syslog_level;
#endif

extern void printlog(char const *fmt, ...);
extern int parse_cmdline_options(int argc, char **argv);
extern void print_usage(void);

#endif

