#!/bin/sh -e

WARNOPTS="-Wreturn-type -Wpointer-sign -Wsign-compare -Wshadow -Wpointer-arith -Wimplicit -Werror"
if ( uname | grep -F Linux >> /dev/null 2>&1 ); then
  DEFOPTS="-DDEFAULT_CONFIG_FILE=\"/etc/X11/fwm/fwm.conf\" -DDEFAULT_USERCONFIG_FILE=\"~/.config/fwm\""
else
  DEFOPTS="-DDEFAULT_CONFIG_FILE=\"/usr/local/etc/fwm.conf\" -DDEFAULT_USERCONFIG_FILE=\"~/.config/fwm\""
fi
CC="gcc $WARNOPTS $DEFOPTS"

rm -Rf build
mkdir build
cd build

$CC -c ../config.c
$CC -c ../cfgparse.c
$CC -c ../runprog.c
$CC -c ../tick.c
$CC -c ../error.c
$CC -c ../base.c
$CC -c ../winlist.c
$CC -c ../taskbar.c
$CC -c ../taskbart.c
$CC -c ../main.c
$CC -c ../xkrap.c
$CC -c ../xsupp.c
$CC -c ../fsysd.c

gcc -Wall -Werror -o fwm *.o -lX11 -lfcl

rm -f *.o

echo "fwm build done"
