/*
 * This file is part of firk's window manager for x11 (fwm)
 * Copyright (C) 2016-2023 firk <firk@cantconnect.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef _FWM_TASKBART_H
#define _FWM_TASKBART_H

extern void taskbart_init(void);
extern void taskbart_periodic(void);
extern void taskbart_reload(void);

extern void taskbart_mouse_click(int x, int y);
extern void taskbart_mouse_wheel(int x, int y, int delta);
extern void taskbart_redraw(int y1, int y2);

extern void taskbart_brightness(int delta);

extern WInfo * tray_add_winfo(Window window, char const *wcl);
extern void tray_del_winfo(WInfo * wi);
extern void tray_recalc_coords(void);

extern WInfo * widgets_add_winfo(Window window, char const *wcl);
extern void widgets_del_winfo(WInfo * wi);
extern void widgets_recalc_coords(void);

#endif
