#!/bin/sh -e

rm -Rf ./build/deb

mkdir -p ./build/deb

# place files
mkdir -p ./build/deb/usr/share/fwmx/xxkb
cp -p ./*.xpm ./XXkb ./build/deb/usr/share/fwmx/xxkb

# place controls
VERSION=`date '+%Y%m%d'`
SIZE=`du -k -s ./build/deb | awk '{print $1}'`
VER1=`head -1 ../fwm/CHANGELOG.TXT | tr -d -`
VER2=`head -1 ../fwm-menu/CHANGELOG.TXT | tr -d -`
VER3=`head -1 ../mixer/CHANGELOG.TXT | tr -d -`
mkdir ./build/deb/DEBIAN
( cd ./build/deb && md5deep -r -l usr) > ./build/deb/DEBIAN/md5sums
cat > ./build/deb/DEBIAN/control <<EOF
Package: fwmx
Version: 1.3.1
Architecture: all
Maintainer: firk <firk@cantconnect.ru>
Installed-Size: $SIZE
Depends: fwm (>= $VER1), fwm-menu (>= $VER2), fwm-mixer (>= $VER3), xxkb, xfce4-terminal, iceweasel | firefox-esr
Suggests: fwm-sysdaemon, fwm-perfmon
Section: x11
Priority: optional
Multi-Arch: foreign
Homepage: https://dev.m1089.ru/fwmx
Description: simple fwm-based workspace
EOF

cp pkg/deb/* ./build/deb/DEBIAN/

fakeroot dpkg-deb --build ./build/deb ./build

rm -Rf ./build/deb

echo "DONE"
