#!/bin/sh -e

WARNOPTS="-Wreturn-type -Wpointer-sign -Wsign-compare -Wshadow -Wpointer-arith -Wimplicit -Werror"
CC="gcc $WARNOPTS -fPIC"

rm -Rf build
mkdir build
cd build

$CC -c ../common.c
$CC -c ../images.c

gcc -Wall -Werror -shared -o libfwm.so.1 *.o -lX11 -Wl,-soname,libfwm.so.1
chmod -x libfwm.so.1
ln -s libfwm.so.1 libfwm.so

rm -f *.o

$CC -c ../fwmconf.c

gcc -Wall -Werror -o fwmconf *.o -lX11 -lfwm -L.

echo "libfwm build done"
