/*
 * This file is part of firk's window manager library (libfwm)
 * Copyright (C) 2023 firk <firk@cantconnect.ru>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "libfwm.h"

int main(int argc, char **argv) {
  unsigned char cat;
  char theme[64];
  LIBFWM_Init("fwmconf", NULL);
  LIBFWM_GetGlobalTheme(&cat, theme, sizeof(theme), 0);
  printf("theme was %d \"%s\"\n", cat, theme);
  if(argc==3) {
    cat = atoi(argv[1]);
    printf("setting theme to %d \"%s\"\n", cat, argv[2]);
    LIBFWM_SetGlobalTheme(cat, argv[2]);
    XSync(display, False);
  }
  return 0;
}

