#!/bin/sh -e

if [ ! -x ./build/fwm-mixer ]; then
  echo "compile first!"
  exit
fi

rm -Rf ./build/deb

mkdir ./build/deb

# place files
mkdir -p ./build/deb/usr/bin ./build/deb/usr/share/man/man1 ./build/deb/usr/share/man/ru/man1
cp -p ./build/fwm-mixer ./build/deb/usr/bin/fwm-mixer
gzip < ./fwm-mixer.1 > ./build/deb/usr/share/man/man1/fwm-mixer.1.gz
gzip < ./fwm-mixer.ru.1 > ./build/deb/usr/share/man/ru/man1/fwm-mixer.1.gz

# place controls
VERSION=`head -1 ./CHANGELOG.TXT | tr -d -`
ARCH=`dpkg --print-architecture`
SIZE=`du -k -s ./build/deb | awk '{print $1}'`
VER1=`dpkg-query -W -f='${Version}' libc6`
VER2=`dpkg-query -W -f='${Version}' libx11-6`
if [ -n "$LOCAL_LIBFWM" ]; then
  VER3=`head -1 ../libfwm/CHANGELOG.TXT | tr -d -`
else
  VER3=`dpkg-query -W -f='${Version}' libfwm`
fi
VER4=`dpkg-query -W -f='${Version}' libasound2`
mkdir ./build/deb/DEBIAN
( cd ./build/deb && md5deep -r -l usr) > ./build/deb/DEBIAN/md5sums
cat > ./build/deb/DEBIAN/control <<EOF
Package: fwm-mixer
Version: $VERSION
Architecture: $ARCH
Maintainer: firk <firk@cantconnect.ru>
Installed-Size: $SIZE
Depends: libc6 (>= $VER1), libx11-6 (>= $VER2), libfwm (>= $VER3), libasound2 (>= $VER4)
Suggests: fwm
Section: x11
Priority: optional
Multi-Arch: foreign
Homepage: https://dev.m1089.ru/fwmx
Description: simple audio volume control for x11
EOF

fakeroot dpkg-deb --build ./build/deb ./build

rm -Rf ./build/deb

echo "DONE"
