#include <stdio.h>
#include <stdlib.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>

static Display *display;
static Screen *screen;
static Window win;

static void dump_info(void) {
  int n, j;
  n = ScreenCount(display);
  printf("ScreenCount = %d\n", n);
  for(j=0; j<n; j++) {
    screen = ScreenOfDisplay(display, j);
    printf("  screen[%d] %dx%d\n", j+1, WidthOfScreen(screen), HeightOfScreen(screen));
  }
}

int main(int argc, char **argv) {
  XEvent ev;

  if(!(display = XOpenDisplay(NULL))) { fprintf(stderr, "XOpenDisplay(NULL) failed\n"); exit(-1); }
  dump_info();

  if(!(screen = DefaultScreenOfDisplay(display))) { fprintf(stderr, "DefaultScreenOfDisplay() failed\n"); exit(-1); }
  win = DefaultRootWindow(display);
  XSelectInput(display, win, StructureNotifyMask);

  while(1) {
    XNextEvent(display, &ev);
    printf("ev.type = %d\n", ev.type);
    switch(ev.type) {
    case ConfigureNotify:
      printf("ConfigureNotify win=%ld base=%dx%d size=%dx%d\n",
          (long)ev.xconfigure.window, ev.xconfigure.x, ev.xconfigure.y, ev.xconfigure.width, ev.xconfigure.height);
      break;
    }
  }

  XCloseDisplay(display);
  return 0;
}
